{*************************************************}
{                                                 }
{  Blaise 4 Windows. A Survey Processing System   }
{  Copyright (c) 1992,2012 Statistics Netherlands }
{                                                 }
{*************************************************}
process MakeTableTableAndShowIt

uses
  datamodel MyData
  fields
    name: string
    age:  0..120
  endmodel

inputfile TabData:MyData ('data.asc') {the data that need to be displayed in a table}
settings
  separator=';'

outputfile xmldata:MyData('data.xml',xml) {the data in XML format}

auxfields
  res: integer
manipulate
  {Convert the data to XML}
  repeat
    TabData.readnext
    xmldata.write
  until TabData.lastrecord
  xmldata.close {very important: file must be closed!!}
  res:= run('msxsl.exe data.xml data.xslt -o data.htm',wait,hide) {Create the html!}
  res:= run('iexplore.exe '+xmldata.pathname+ 'data.htm', wait) {Show the html!}

